=== debian/control ===
Source: glibc-tools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper, debhelper-compat (= 13)
Standards-Version: 4.6.0

Package: glibc-tools
Architecture: any
Depends: ${misc:Depends}, ${shlib:Depends}
Replaces: libc-bin (<< 2.34.9000)
Breaks: libc-bin (<< 2.34.9000)
Description: Tools and libraries that used to be part of glibc
 This package contains tools and library formerly provided by glibc
 that either have been deprecated or moved out from the project.
 .
 Currently it contains:
 .
  * The 'libSigSegv' library.
  * The 'catchsegv' script.
