=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS+=hardening=+all

%:
	dh $@  -B _build

override_dh_auto_clean:
	dh_auto_configure
	dh_auto_clean
